<?php
// ----------------------------------------------------------------------------
//  Site multi - langue
// 
//  Gestion de chargement
//  |--> Page (/templates)
//  |--> Langue (/lang)
//
// ----------------------------------------------------------------------------

// Chargement de la page de base et déclaration des variables par défaut
$base = file_get_contents('templates/base.html');

$get_page = 'page_01';
$_GET_PAGE = 'Défaut - Page 01';
$_LOAD_TEMPLATE = 'templates/page_01.html';

$get_lang = 'fr';
$_GET_LANG = 'Défaut - fr';
$load_base_xml = 'lang/fr/';
$_LOAD_BASE_XML = 'lang/fr/';



$error=false;


// Vérification de la page appelée :
// ----------------------------------------------------------------------------

if (isset($_GET['page'])):

	//--> On vérifie l'existance de la page demandée. Si elle existe, elle est chargée ..
	if ((@$page = file_get_contents('templates/page_'.$_GET['page'].'.html'))!=false):
		
		$get_page = 'page_'.$_GET['page'];
		$_GET_PAGE = 'Page '.$_GET['page'];
		$_LOAD_TEMPLATE = 'templates/'.$get_page.'.html';
	
	else:

	// .. si non, on signale l'erreur.
		$page_error = 'Page '.$_GET['page'];
		$error=true;

	endif;
else:
	//--> Chargement par défaut
	$page = file_get_contents($_LOAD_TEMPLATE);
endif;


// Vérifiaction de la langue demandée :
// ----------------------------------------------------------------------------

if (isset($_GET['lang'])):

	//--> On vérifie l'existance de la langue pour la base. Si elle existe, elle est chargée ..
	if ( (@$base_lang = simplexml_load_file('lang/'.$_GET['lang'].'/'.'base.xml'))!=false ):

		$get_lang = $_GET['lang'];
		$_GET_LANG = $_GET['lang'];
		$load_base_xml = 'lang/'.$get_lang.'/';
			
	// .. et on continue ..

		//--> On vérifie si la langue pour la page demandée existe. si oui, elle est chargée ..
		if ((@$page_lang = simplexml_load_file($load_base_xml.$get_page.'.xml'))!=false):

			$_LOAD_BASE_XML = $load_base_xml;
			$_LOAD_PAGE_XML = $load_base_xml.$get_page.'.xml';

		else:
		// .. si non, on signale l'erreur.
			$_LOAD_PAGE_XML = $_LOAD_BASE_XML.$get_page.'.xml';
			$_LOAD_BASE_XML = $load_base_xml;
			$page_lang = simplexml_load_file($_LOAD_PAGE_XML);
			$page_lang_error = $_GET_PAGE;
			$error=true;

		endif;


	else:
		
	// .. si non, on signale l'erreur.
		$base_lang = simplexml_load_file($_LOAD_BASE_XML.'base.xml');
		if( !isset($page_error)):
			$_LOAD_PAGE_XML = $_LOAD_BASE_XML.$get_page.'.xml';
			$page_lang = simplexml_load_file($_LOAD_PAGE_XML);
		endif;
		$base_lang_error = $_GET['lang'];
		$error=true;;

	endif;

else:
	//--> Chargement par défaut
	$base_lang = simplexml_load_file($_LOAD_BASE_XML.'base.xml');
	$_LOAD_PAGE_XML = $_LOAD_BASE_XML.$get_page.'.xml';
	$page_lang = simplexml_load_file($_LOAD_PAGE_XML);
endif;




// Remplacement des valeurs
$base = str_replace('{title_h1}', $base_lang->title_h1, $base);


$base = str_replace('{title_h2_01}', $base_lang->title_h2_01, $base);

$base = str_replace('{text_01}', $base_lang->text_01, $base);
	$base = str_replace('{_GET_PAGE_}', $_GET_PAGE, $base);

$base = str_replace('{text_02}', $base_lang->text_02, $base);
	$base = str_replace('{_GET_LANG_}', $_GET_LANG, $base);

$base = str_replace('{text_03}', $base_lang->text_03, $base);
	$base = str_replace('{_LOAD_BASE_TEMPLATE_}', 'templates/base.html', $base);
	if (!isset($page_error))
		$base = str_replace('{_LOAD_PAGE_TEMPLATE_}', $_LOAD_TEMPLATE, $base);
	else
		$base = str_replace('{_LOAD_PAGE_TEMPLATE_}', '', $base);
	
		
	$base = str_replace('{_LOAD_BASE_XML_}', $_LOAD_BASE_XML.'base.xml', $base);

	$base = str_replace('{_LOAD_PAGE_XML_}', $_LOAD_PAGE_XML, $base);


$base = str_replace('{title_h2_02}', $base_lang->title_h2_02, $base);


$base = str_replace('{title_h2_03}', $base_lang->title_h2_03, $base);

if ($error):
	$error='';
	$load_error = file_get_contents('templates/error.html');
	if (isset($page_error))
		$error .= $base_lang->error->page.' : '.$page_error.'<br />';
	if (isset($base_lang_error))
		$error .= $base_lang->error->base_lang.' : '.$base_lang_error.'<br />';
	if (isset($page_lang_error))
		$error .= $base_lang->error->page_lang.' : '.$page_lang_error.'<br />';
	
	$load_error = str_replace('{_ERROR_}', $error, $load_error);
	$base = str_replace('{_ERROR_}', $load_error, $base);


	// --> Remplacement des valeurs pour la page demandée :
	$page = str_replace('{title}', $page_lang->title, $page);
	$page = str_replace('{lang}', $page_lang->lang, $page);
	$page = str_replace('{text_01}', $page_lang->text_01, $page);
	$page = str_replace('{text_02}', $page_lang->text_02, $page);
	$page = str_replace('{text_03}', $page_lang->text_03, $page);
	$base = str_replace('{_PAGE_}', $page, $base);
else:
	$base = str_replace('{_ERROR_}', '', $base);


	// --> Remplacement des valeurs pour la page demandée :
	$page = str_replace('{title}', $page_lang->title, $page);
	$page = str_replace('{lang}', $page_lang->lang, $page);
	$page = str_replace('{text_01}', $page_lang->text_01, $page);
	$page = str_replace('{text_02}', $page_lang->text_02, $page);
	$page = str_replace('{text_03}', $page_lang->text_03, $page);
	$base = str_replace('{_PAGE_}', $page, $base);
endif;


echo $base;
?>
